package com.sunxung.factoring.entity.salescontractmanagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;
import org.hibernate.validator.constraints.NotEmpty;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 销售合同变更-模板审核表
 * </p>
 *
 * @author yafan
 * @since 2023-12-08
 */
@TableName("sales_contract_supplement_template_approval")
public class SalesContractSupplementTemplateApproval extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 销售合同变更信息表Id
     */
    @TableField("c_sales_contract_supplement_info_id")
    private Long cSalesContractSupplementInfoId;

    @TableField(exist = false)
    private List<String> comments;

    /**
     * 审批结论
     */
    @TableField("approval_conclusion")
    @NotEmpty(message = "审批结论不能为空！")
    private String approvalConclusion;

    /**
     * 审核人Id
     */
    @TableField("auditor_id")
    private Long auditorId;

    @TableField(exist = false)
    private String taskId;

    /**
     * 销售合同管理Id
     */
    @TableField(exist = false)
    @NotNull(message = "列表id不能为空！")
    private Long cSalesContractManagementId;

    public Long getcSalesContractSupplementInfoId() {
        return cSalesContractSupplementInfoId;
    }

    public void setcSalesContractSupplementInfoId(Long cSalesContractSupplementInfoId) {
        this.cSalesContractSupplementInfoId = cSalesContractSupplementInfoId;
    }

    public List<String> getComments() {
        return comments;
    }

    public void setComments(List<String> comments) {
        this.comments = comments;
    }

    public String getApprovalConclusion() {
        return approvalConclusion;
    }

    public void setApprovalConclusion(String approvalConclusion) {
        this.approvalConclusion = approvalConclusion;
    }
    public Long getAuditorId() {
        return auditorId;
    }

    public void setAuditorId(Long auditorId) {
        this.auditorId = auditorId;
    }

    public String getTaskId()  {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public Long getcSalesContractManagementId() {
        return cSalesContractManagementId;
    }

    public void setcSalesContractManagementId(Long cSalesContractManagementId) {
        this.cSalesContractManagementId = cSalesContractManagementId;
    }


    @Override
    public String toString() {
        return "SalesContractSupplementTemplateApproval{" +
            ", cSalesContractSupplementInfoId=" + cSalesContractSupplementInfoId +
            ", approvalConclusion=" + approvalConclusion +
            ", auditorId=" + auditorId +
        "}";
    }
}
